2

As mentioned in "android developer's blog" , http://android-developers.blogspot.in/2016/06/security-crypto-provider-deprecated-in.html , security Crypto provider is deprecated on Android N. And also they will remove "Crypto" provider from the SDK also.

Note 1: as a temporary measure to keep apps working, we decided to still create the instance for apps targeting SDK version 23, the SDK version for Marshmallow, or less. Please don't rely on the presence of the Crypto provider in the Android SDK, our plan is to delete it completely in the future.

My question is are they talking about whole javax.crypto package ?

Currently my application is using following imports :

import javax.crypto.Cipher; 
import javax.crypto.Mac; 
import javax.crypto.spec.IvParameterSpec; 
import javax.crypto.spec.SecretKeySpec;

Do I need to remove these all ? I have tried to build this application using API version 24 and it is not showing any error msg.

2

My question is are they talking about whole javax.crypto package ?

No. They are referring to the Crypto provider for javax.crypto.

Do I need to remove these all ?

No. So long as you did not manually specify to use the Crypto provider, you are fine. Search your code for the string "Crypto" (with a capital C).

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.